GOLF(2gg)

NAME
new-dir - (directories)

PURPOSE
Create new directory.

SYNTAX

        new-dir <directory> [ mode <mode> ] [ status <status> ]

DESCRIPTION
new-dir creates new <directory>, which is a string that is an absolute or relative path. You can specify permission <mode> (in "mode" clause) as a number, based on standard Linux permissions (see permissions).

If "status" clauses is used, <status> is a number with value of GG_OKAY if successful, GG_ERR_EXIST if directory exists, or GG_ERR_FAILED for other errors (in which case you can use "errno" clause in get-req to find the specific reason why).

EXAMPLES

        new-dir "new_dir"

SEE ALSO
 Directories

change-dir change-mode delete-dir directories new-dir See all documentation